Subject: Re: first parent, commit graph layout, and pull merge direction

From: Jeremy Rosen <[email-masked]>
Date: Thu, 23 May 2013 12:07:52 +0200 (CEST)

----- Mail original -----
> On Thu, May 23, 2013 at 5:06 AM, Andreas Krey <[email-masked]> wrote:
> [snip]
> > ...
> >> Don't do that, then.
> >
> > :-) Problem is, in this case 'I' expands to about
> >     1<<7 people I need to educate on this.
> 
> This is a feature of `git pull` that I really despise.  I really wish
> `git pull` treated the remote as the first parent in its merge
> operation.
> 

seconded...

github's network pages (which display the commit graph of projects) seems to follow the "first parent at the top" rule and the pull merges are standing out as "wrong" because of that...